]> git.donarmstrong.com Git - lilypond.git/blobdiff - configure
Add fonts-texgyre to Build-Depends
[lilypond.git] / configure
index 33dec6d88fc265a7f719a2be19585134b5d553f0..69f5d898303c17e2f5d891fae2782a1be1868b67 100755 (executable)
--- a/configure
+++ b/configure
@@ -667,6 +667,8 @@ PKG_CONFIG
 LIBOBJS
 T1ASM
 FONTFORGE
+PYTHON_LDFLAGS
+PYTHON_CFLAGS
 PYTHON_CONFIG
 CXXABI_LIBS
 GUILE_LDFLAGS
@@ -690,8 +692,8 @@ CXXCPP
 ac_ct_CXX
 CXXFLAGS
 CXX
-NCSB_DIR
-NCSB_SOURCE_FILES
+TEXGYRE_FILES
+TEXGYRE_DIR
 FCLIST
 EXTRA_LIBS
 DEFINES
@@ -786,11 +788,13 @@ ac_user_opts='
 enable_option_checking
 enable_config
 enable_documentation
-with_ncsb_dir
+enable_guile2
+with_texgyre_dir
 enable_relocation
 enable_rpath
 enable_static_gxx
 enable_debugging
+enable_checking
 enable_optimising
 enable_profiling
 enable_pipe
@@ -1439,10 +1443,12 @@ Optional Features:
   --enable-config=CONF    put settings in config-CONF.make and config-CONF.h;
                           do `make conf=CONF' to get output in ./out-CONF
   --enable-documentation  build Documentation. Default: on
+  --enable-guile2         highly experimental GUILE 2 support. Default: off
   --enable-relocation     compile with dynamic relocation. Default: off
   --enable-rpath          hardcode runtime library path. Default: off
   --enable-static-gxx     link libstdc++.a statically. Default: off
   --enable-debugging      compile with debugging info. Default: on
+  --enable-checking       compile with expensive run-time checks. Default: off
   --enable-optimising     compile with optimising. Default: on
   --enable-profiling      compile with gprof support. Default: off
   --enable-pipe           compile with -pipe. Default: on
@@ -1450,7 +1456,7 @@ Optional Features:
 Optional Packages:
   --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
   --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
-  --with-ncsb-dir=DIR     location of Century Schoolbook fonts.
+  --with-texgyre-dir=DIR  location of TeX Gyre fonts.
   --with-localedir=DIR    location of locales. Default: PREFIX/share/locale
   --with-lang=LANG        use LANG as language to emit messages
   --with-python-include=DIR
@@ -2295,7 +2301,8 @@ $as_echo_n "checking $r version... " >&6; }
 
     if test -z "$_ver"; then
         ## If empty, try date [fontforge]
-        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 | grep '[0-9]\{6,8\}' \
+        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 \
+           | grep '\(^\|[^0-9a-f]\)[0-9]\{6,8\}\([^0-9a-f]\|$\)' \
            | head -n 1 \
            | sed -e 's/^[^.0-9]*//' -e 's/[^.0-9]*$//'\`\"
     fi
@@ -2444,7 +2451,8 @@ $as_echo_n "checking $r version... " >&6; }
 
     if test -z "$_ver"; then
         ## If empty, try date [fontforge]
-        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 | grep '[0-9]\{6,8\}' \
+        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 \
+           | grep '\(^\|[^0-9a-f]\)[0-9]\{6,8\}\([^0-9a-f]\|$\)' \
            | head -n 1 \
            | sed -e 's/^[^.0-9]*//' -e 's/[^.0-9]*$//'\`\"
     fi
@@ -2594,7 +2602,8 @@ $as_echo_n "checking $r version... " >&6; }
 
     if test -z "$_ver"; then
         ## If empty, try date [fontforge]
-        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 | grep '[0-9]\{6,8\}' \
+        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 \
+           | grep '\(^\|[^0-9a-f]\)[0-9]\{6,8\}\([^0-9a-f]\|$\)' \
            | head -n 1 \
            | sed -e 's/^[^.0-9]*//' -e 's/[^.0-9]*$//'\`\"
     fi
@@ -2851,7 +2860,8 @@ $as_echo_n "checking for python... " >&6; }
 
     if test -z "$_ver"; then
         ## If empty, try date [fontforge]
-        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 | grep '[0-9]\{6,8\}' \
+        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 \
+           | grep '\(^\|[^0-9a-f]\)[0-9]\{6,8\}\([^0-9a-f]\|$\)' \
            | head -n 1 \
            | sed -e 's/^[^.0-9]*//' -e 's/[^.0-9]*$//'\`\"
     fi
@@ -3055,12 +3065,19 @@ fi
 
 
 
+GUILEv2=no
+# Check whether --enable-guile2 was given.
+if test "${enable_guile2+set}" = set; then
+  enableval=$enable_guile2; GUILEv2=$enableval
+fi
+
 
-# Check whether --with-ncsb-dir was given.
-if test "${with_ncsb_dir+set}" = set; then
-  withval=$with_ncsb_dir; NCSB_DIR=$withval
+
+# Check whether --with-texgyre-dir was given.
+if test "${with_texgyre_dir+set}" = set; then
+  withval=$with_texgyre_dir; TEXGYRE_DIR=$withval
 else
-  NCSB_DIR=""
+  TEXGYRE_DIR=""
 fi
 
 
@@ -3093,6 +3110,7 @@ fi
     CXXFLAGS=${CXXFLAGS-$CFLAGS}
     LDFLAGS=${LDFLAGS-""}
     optimise_b=yes
+    checks_b=no
     profile_b=no
     debug_b=yes
     pipe_b=yes
@@ -3103,6 +3121,12 @@ if test "${enable_debugging+set}" = set; then
 fi
 
 
+    # Check whether --enable-checking was given.
+if test "${enable_checking+set}" = set; then
+  enableval=$enable_checking; checks_b=$enableval
+fi
+
+
     # Check whether --enable-optimising was given.
 if test "${enable_optimising+set}" = set; then
   enableval=$enable_optimising; optimise_b=$enableval
@@ -3122,12 +3146,17 @@ fi
 
 
     if test "$optimise_b" = yes; then
-       cat >>confdefs.h <<\_ACEOF
-#define NDEBUG 1
-_ACEOF
-
-       DEFINES="$DEFINES -DNDEBUG"
        OPTIMIZE=" -O2 -finline-functions"
+       # following two lines are compatibility while Patchy has not
+       # yet learnt about --enable-checking.  But once it has, we
+       # don't want -DDEBUG twice, so we omit it here if it is going
+       # to get added anyway later.
+    elif test "$checks_b" != yes; then
+       DEFINES="$DEFINES -DDEBUG"
+    fi
+
+    if test "$checks_b" = yes; then
+       DEFINES="$DEFINES -DDEBUG"
     fi
 
     if test $profile_b = yes; then
@@ -4230,23 +4259,22 @@ $as_echo "no" >&6; }
 fi
 
 
-{ $as_echo "$as_me:$LINENO: checking for New Century Schoolbook PFB files" >&5
-$as_echo_n "checking for New Century Schoolbook PFB files... " >&6; }
+{ $as_echo "$as_me:$LINENO: checking for TeX Gyre fonts OTF files" >&5
+$as_echo_n "checking for TeX Gyre fonts OTF files... " >&6; }
 
 
-if test "$NCSB_DIR" = ""; then
+if test "$TEXGYRE_DIR" = ""; then
   if test "$FCLIST" != ""; then
-    NCSB_FILE=`$FCLIST "Century Schoolbook L:foundry=urw:fontformat=Type 1:lang=ru" file \
-              | head -n 1`
-    if test "$NCSB_FILE" != ""; then
-      NCSB_FILE=`echo $NCSB_FILE | sed 's/\(:.*\)$//g'`
-      NCSB_FILE=`$PYTHON "$srcdir/scripts/auxiliar/readlink.py" $NCSB_FILE`
-      NCSB_DIR=`$as_dirname -- $NCSB_FILE ||
-$as_expr X$NCSB_FILE : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
-        X$NCSB_FILE : 'X\(//\)[^/]' \| \
-        X$NCSB_FILE : 'X\(//\)$' \| \
-        X$NCSB_FILE : 'X\(/\)' \| . 2>/dev/null ||
-$as_echo X$NCSB_FILE |
+    TEXGYRE_FILE=`$FCLIST "TeX Gyre Schola:fontformat=CFF" file | head -n 1`
+    if test "$TEXGYRE_FILE" != ""; then
+      TEXGYRE_FILE=`echo $TEXGYRE_FILE | sed 's/\(:.*\)$//g'`
+      TEXGYRE_FILE=`$PYTHON "$srcdir/scripts/auxiliar/readlink.py" $TEXGYRE_FILE`
+      TEXGYRE_DIR=`$as_dirname -- $TEXGYRE_FILE ||
+$as_expr X$TEXGYRE_FILE : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
+        X$TEXGYRE_FILE : 'X\(//\)[^/]' \| \
+        X$TEXGYRE_FILE : 'X\(//\)$' \| \
+        X$TEXGYRE_FILE : 'X\(/\)' \| . 2>/dev/null ||
+$as_echo X$TEXGYRE_FILE |
     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
            s//\1/
            q
@@ -4267,44 +4295,39 @@ $as_echo X$NCSB_FILE |
     fi
   fi
 fi
-if test "$NCSB_DIR" != "" ;  then
-  for f in c059013l.pfb c059016l.pfb c059033l.pfb c059036l.pfb; do
-    if test ! -f "$NCSB_DIR/$f"; then
-      MISSING_NCSB_SOURCE_FILES="$f $MISSING_NCSB_SOURCE_FILES"
+if test "$TEXGYRE_DIR" != "" ;  then
+  for f in texgyreschola-regular.otf texgyreschola-italic.otf \
+           texgyreschola-bold.otf texgyreschola-bolditalic.otf \
+           texgyreheros-regular.otf texgyreheros-italic.otf \
+           texgyreheros-bold.otf texgyreheros-bolditalic.otf \
+           texgyrecursor-regular.otf texgyrecursor-italic.otf \
+           texgyrecursor-bold.otf texgyrecursor-bolditalic.otf; do
+    if test ! -f "$TEXGYRE_DIR/$f"; then
+      MISSING_TEXGYRE_FILES="$MISSING_TEXGYRE_FILES $f"
     else
-      if test "`grep Cyrillic "$NCSB_DIR/$f"`" = ""; then
-        INCOMPLETE_NCSB_SOURCE_FILES="$f $INCOMPLETE_NCSB_SOURCE_FILES"
-      else
-        NCSB_SOURCE_FILES="$NCSB_DIR/$f $NCSB_SOURCE_FILES"
-      fi
+      TEXGYRE_FILES="$TEXGYRE_FILES $f"
     fi
   done
 fi
-if test "$NCSB_DIR" = "" -o "$MISSING_NCSB_SOURCE_FILES" != "$INCOMPLETE_NCSB_SOURCE_FILES"; then
+if test "$TEXGYRE_DIR" = "" -o "$MISSING_TEXGYRE_FILES" != ""; then
   { $as_echo "$as_me:$LINENO: result: no" >&5
 $as_echo "no" >&6; }
 
-    eval "REQUIRED"=\"`eval echo \"'$'REQUIRED\" \"International New Century Schoolbook fonts\"`\"
+    eval "REQUIRED"=\"`eval echo \"'$'REQUIRED\" \"TeX Gyre fonts OTF\"`\"
 
-  if test "$NCSB_DIR" = ""; then
+  if test "$TEXGYRE_DIR" = ""; then
     if test "$FCLIST" = ""; then
 
-    eval "REQUIRED"=\"`eval echo \"'$'REQUIRED\" \"'(install the fc-list utility from FontConfig, or use --with-ncsb-dir)'\"`\"
+    eval "REQUIRED"=\"`eval echo \"'$'REQUIRED\" \"'(install the fc-list utility from FontConfig, or use --with-texgyre-dir)'\"`\"
 
     else
 
-    eval "REQUIRED"=\"`eval echo \"'$'REQUIRED\" \"'(make sure the fc-list utility can see them, or use --with-ncsb-dir)'\"`\"
+    eval "REQUIRED"=\"`eval echo \"'$'REQUIRED\" \""(make sure the fc-list utility can see them, e.g. 'sudo apt-get install fonts-texgyre', or use --with-texgyre-dir)"\"`\"
 
     fi
-  fi
-  if test "$MISSING_NCSB_SOURCE_FILES" != ""; then
-
-    eval "REQUIRED"=\"`eval echo \"'$'REQUIRED\" \"'(these files are missing: $MISSING_NCSB_SOURCE_FILES)'\"`\"
-
-  fi
-  if test "$INCOMPLETE_NCSB_SOURCE_FILES" != ""; then
+  else
 
-    eval "REQUIRED"=\"`eval echo \"'$'REQUIRED\" \"'(these files do not contain Cyrillic characters: $INCOMPLETE_NCSB_SOURCE_FILES)'\"`\"
+    eval "REQUIRED"=\"`eval echo \"'$'REQUIRED\" \"'(these files are missing: $MISSING_TEXGYRE_FILES)'\"`\"
 
   fi
 else
@@ -4362,7 +4385,8 @@ $as_echo_n "checking for python... " >&6; }
 
     if test -z "$_ver"; then
         ## If empty, try date [fontforge]
-        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 | grep '[0-9]\{6,8\}' \
+        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 \
+           | grep '\(^\|[^0-9a-f]\)[0-9]\{6,8\}\([^0-9a-f]\|$\)' \
            | head -n 1 \
            | sed -e 's/^[^.0-9]*//' -e 's/[^.0-9]*$//'\`\"
     fi
@@ -5271,7 +5295,8 @@ $as_echo_n "checking $r version... " >&6; }
 
     if test -z "$_ver"; then
         ## If empty, try date [fontforge]
-        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 | grep '[0-9]\{6,8\}' \
+        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 \
+           | grep '\(^\|[^0-9a-f]\)[0-9]\{6,8\}\([^0-9a-f]\|$\)' \
            | head -n 1 \
            | sed -e 's/^[^.0-9]*//' -e 's/[^.0-9]*$//'\`\"
     fi
@@ -5717,8 +5742,6 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
 
     CXXFLAGS="$CXXFLAGS $OPTIMIZE"
-    LD='$(CXX)'
-
 
 
 
@@ -5788,7 +5811,8 @@ $as_echo_n "checking $r version... " >&6; }
 
     if test -z "$_ver"; then
         ## If empty, try date [fontforge]
-        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 | grep '[0-9]\{6,8\}' \
+        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 \
+           | grep '\(^\|[^0-9a-f]\)[0-9]\{6,8\}\([^0-9a-f]\|$\)' \
            | head -n 1 \
            | sed -e 's/^[^.0-9]*//' -e 's/[^.0-9]*$//'\`\"
     fi
@@ -6094,7 +6118,8 @@ $as_echo_n "checking $r version... " >&6; }
 
     if test -z "$_ver"; then
         ## If empty, try date [fontforge]
-        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 | grep '[0-9]\{6,8\}' \
+        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 \
+           | grep '\(^\|[^0-9a-f]\)[0-9]\{6,8\}\([^0-9a-f]\|$\)' \
            | head -n 1 \
            | sed -e 's/^[^.0-9]*//' -e 's/[^.0-9]*$//'\`\"
     fi
@@ -6588,7 +6613,8 @@ $as_echo_n "checking $r version... " >&6; }
 
     if test -z "$_ver"; then
         ## If empty, try date [fontforge]
-        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 | grep '[0-9]\{6,8\}' \
+        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 \
+           | grep '\(^\|[^0-9a-f]\)[0-9]\{6,8\}\([^0-9a-f]\|$\)' \
            | head -n 1 \
            | sed -e 's/^[^.0-9]*//' -e 's/[^.0-9]*$//'\`\"
     fi
@@ -6669,7 +6695,8 @@ $as_echo_n "checking $r version... " >&6; }
 
     if test -z "$_ver"; then
         ## If empty, try date [fontforge]
-        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 | grep '[0-9]\{6,8\}' \
+        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 \
+           | grep '\(^\|[^0-9a-f]\)[0-9]\{6,8\}\([^0-9a-f]\|$\)' \
            | head -n 1 \
            | sed -e 's/^[^.0-9]*//' -e 's/[^.0-9]*$//'\`\"
     fi
@@ -6826,7 +6853,8 @@ $as_echo_n "checking $r version... " >&6; }
 
     if test -z "$_ver"; then
         ## If empty, try date [fontforge]
-        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 | grep '[0-9]\{6,8\}' \
+        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 \
+           | grep '\(^\|[^0-9a-f]\)[0-9]\{6,8\}\([^0-9a-f]\|$\)' \
            | head -n 1 \
            | sed -e 's/^[^.0-9]*//' -e 's/[^.0-9]*$//'\`\"
     fi
@@ -7707,7 +7735,8 @@ $as_echo_n "checking $r version... " >&6; }
 
     if test -z "$_ver"; then
         ## If empty, try date [fontforge]
-        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 | grep '[0-9]\{6,8\}' \
+        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 \
+           | grep '\(^\|[^0-9a-f]\)[0-9]\{6,8\}\([^0-9a-f]\|$\)' \
            | head -n 1 \
            | sed -e 's/^[^.0-9]*//' -e 's/[^.0-9]*$//'\`\"
     fi
@@ -7858,7 +7887,8 @@ $as_echo_n "checking $r version... " >&6; }
 
     if test -z "$_ver"; then
         ## If empty, try date [fontforge]
-        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 | grep '[0-9]\{6,8\}' \
+        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 \
+           | grep '\(^\|[^0-9a-f]\)[0-9]\{6,8\}\([^0-9a-f]\|$\)' \
            | head -n 1 \
            | sed -e 's/^[^.0-9]*//' -e 's/[^.0-9]*$//'\`\"
     fi
@@ -8007,7 +8037,8 @@ $as_echo_n "checking $r version... " >&6; }
 
     if test -z "$_ver"; then
         ## If empty, try date [fontforge]
-        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 | grep '[0-9]\{6,8\}' \
+        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 \
+           | grep '\(^\|[^0-9a-f]\)[0-9]\{6,8\}\([^0-9a-f]\|$\)' \
            | head -n 1 \
            | sed -e 's/^[^.0-9]*//' -e 's/[^.0-9]*$//'\`\"
     fi
@@ -8071,7 +8102,8 @@ $as_echo "$ver" >&6; }
 
     if test -z "$_ver"; then
         ## If empty, try date [fontforge]
-        eval _ver=\"\`("$METAPOST" --version || "$METAPOST" -V) 2>&1 | grep '[0-9]\{6,8\}' \
+        eval _ver=\"\`("$METAPOST" --version || "$METAPOST" -V) 2>&1 \
+           | grep '\(^\|[^0-9a-f]\)[0-9]\{6,8\}\([^0-9a-f]\|$\)' \
            | head -n 1 \
            | sed -e 's/^[^.0-9]*//' -e 's/[^.0-9]*$//'\`\"
     fi
@@ -8223,7 +8255,8 @@ $as_echo_n "checking $r version... " >&6; }
 
     if test -z "$_ver"; then
         ## If empty, try date [fontforge]
-        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 | grep '[0-9]\{6,8\}' \
+        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 \
+           | grep '\(^\|[^0-9a-f]\)[0-9]\{6,8\}\([^0-9a-f]\|$\)' \
            | head -n 1 \
            | sed -e 's/^[^.0-9]*//' -e 's/[^.0-9]*$//'\`\"
     fi
@@ -8277,6 +8310,8 @@ $as_echo "no" >&6; }
 $as_echo "yes" >&6; }
     fi
 
+if test "$GUILEv2" = "yes"
+then
 
     ## First, let's just see if we can find Guile at all.
     test -n "$target_alias" && target_guile_config=$target_alias-guile-config
@@ -8323,7 +8358,8 @@ $as_echo_n "checking for guile-config... " >&6; }
 
     if test -z "$_ver"; then
         ## If empty, try date [fontforge]
-        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 | grep '[0-9]\{6,8\}' \
+        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 \
+           | grep '\(^\|[^0-9a-f]\)[0-9]\{6,8\}\([^0-9a-f]\|$\)' \
            | head -n 1 \
            | sed -e 's/^[^.0-9]*//' -e 's/[^.0-9]*$//'\`\"
     fi
@@ -8339,7 +8375,7 @@ $as_echo_n "checking for guile-config... " >&6; }
     {printf "%.0f\n", $1*1000000 + $2*1000 + three}'
 `
        req=`
-    echo "1.8.2" | awk -F. '
+    echo "2.0.7" | awk -F. '
     {
       if ($3) {three = $3}
       else {three = 0}
@@ -8347,19 +8383,19 @@ $as_echo_n "checking for guile-config... " >&6; }
     {printf "%.0f\n", $1*1000000 + $2*1000 + three}'
 `
        sup=`
-    echo "1.9.0" | awk -F. '
+    echo "2.2.0" | awk -F. '
     {
       if ($3) {three = $3}
       else {three = 0}
     }
     {printf "%.0f\n", $1*1000000 + $2*1000 + three}'
 `
-       if test -n "1.8.2" -a "$num" -lt "$req"; then
-           guile_config="$r >= 1.8.2 (installed: $ver)"
+       if test -n "2.0.7" -a "$num" -lt "$req"; then
+           guile_config="$r >= 2.0.7 (installed: $ver)"
            continue
        else
-           if test -n "1.9.0" -a "$num" -ge "$sup"; then
-               guile_config="$r < 1.9.0 (installed: $ver)"
+           if test -n "2.2.0" -a "$num" -ge "$sup"; then
+               guile_config="$r < 2.2.0 (installed: $ver)"
                continue
            else
                guile_config=$r
@@ -8378,7 +8414,7 @@ $as_echo "$ver" >&6; }
        GUILE_CONFIG=$found
     else
 
-    eval "REQUIRED"=\"`eval echo \"'$'REQUIRED\" \""$guile_config (guile-devel, guile-dev or libguile-dev package) or guile1-config (guile1-devel package)"\"`\"
+    eval "REQUIRED"=\"`eval echo \"'$'REQUIRED\" \""$guile_config (guile-devel, guile-dev or libguile-dev package)"\"`\"
 
     fi
 
@@ -8764,32 +8800,175 @@ _ACEOF
 _ACEOF
 
 
+else
 
-# check for 3 typedefs added in Guile 1.9
-save_CXXFLAGS="$CXXFLAGS"
-CXXFLAGS="$GUILE_CFLAGS $CXXFLAGS"
-{ $as_echo "$as_me:$LINENO: checking for scm_t_hash_fold_fn" >&5
-$as_echo_n "checking for scm_t_hash_fold_fn... " >&6; }
-if test "${ac_cv_type_scm_t_hash_fold_fn+set}" = set; then
+    ## First, let's just see if we can find Guile at all.
+    test -n "$target_alias" && target_guile_config=$target_alias-guile-config
+    test -n "$host_alias" && host_guile_config=$host_alias-guile-config
+    { $as_echo "$as_me:$LINENO: checking for guile-config" >&5
+$as_echo_n "checking for guile-config... " >&6; }
+    guile_config="guile-config"
+    found="no"
+    for r in $GUILE_CONFIG $target_guile_config $host_guile_config $build_guile_config guile-config guile2-config guile2.0-config guile-2.0-config guile1-config guile1.9-config guile1.8-config guile-1-config guile-1.9-config guile-1.8-config; do
+       exe=`
+    ## which doesn't work in ash, if /usr/bin/which isn't installed
+    ## type -p doesn't work in ash
+    ## command -v doesn't work in zsh
+    ## command -v "$r" 2>&1
+    ## this test should work in ash, bash, pdksh (ksh), zsh
+    type -p $r 2>/dev/null | tail -n 1 | awk '{print $NF}'
+`
+       if ! $exe --version > /dev/null 2>&1 ; then
+           continue
+       fi
+       ver=`
+    ## "$exe" --version 2>&1 | grep -v '^$' | head -n 1 | awk '{print $NF}'
+    ##
+    ## ARG.
+    ## Workaround for broken Debian gcc version string:
+    ##     gcc (GCC) 3.1.1 20020606 (Debian prerelease)
+    ##
+    ## -V: Workaround for python
+
+    #dnl
+
+    ## Assume and hunt for dotted version multiplet.
+    ## use eval trickery, because we cannot use multi-level $() instead of ``
+    ## for compatibility reasons.
+
+    ## grab the first version number in  --version output.
+    eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 |
+               grep -E '(^| )[0-9][0-9]*\.[0-9]' |
+               head -n 1 |
+               tr ' ' '\n' |
+               sed 's/\([0-9][0-9]*\.[0-9][0-9.]*\).*/\1/g' |
+               grep -E '(^| )[0-9][0-9]*\.[0-9]' |
+               head -n 1\`\"
+
+    if test -z "$_ver"; then
+        ## If empty, try date [fontforge]
+        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 \
+           | grep '\(^\|[^0-9a-f]\)[0-9]\{6,8\}\([^0-9a-f]\|$\)' \
+           | head -n 1 \
+           | sed -e 's/^[^.0-9]*//' -e 's/[^.0-9]*$//'\`\"
+    fi
+    echo "$_ver"
+    #dnl
+`
+       num=`
+    echo "$ver" | awk -F. '
+    {
+      if ($3) {three = $3}
+      else {three = 0}
+    }
+    {printf "%.0f\n", $1*1000000 + $2*1000 + three}'
+`
+       req=`
+    echo "1.8.2" | awk -F. '
+    {
+      if ($3) {three = $3}
+      else {three = 0}
+    }
+    {printf "%.0f\n", $1*1000000 + $2*1000 + three}'
+`
+       sup=`
+    echo "1.9.0" | awk -F. '
+    {
+      if ($3) {three = $3}
+      else {three = 0}
+    }
+    {printf "%.0f\n", $1*1000000 + $2*1000 + three}'
+`
+       if test -n "1.8.2" -a "$num" -lt "$req"; then
+           guile_config="$r >= 1.8.2 (installed: $ver)"
+           continue
+       else
+           if test -n "1.9.0" -a "$num" -ge "$sup"; then
+               guile_config="$r < 1.9.0 (installed: $ver)"
+               continue
+           else
+               guile_config=$r
+               found=$r
+               break
+           fi
+       fi
+    done
+    { $as_echo "$as_me:$LINENO: result: $found" >&5
+$as_echo "$found" >&6; }
+    if test "$found" != "no"; then
+       { $as_echo "$as_me:$LINENO: checking $guile_config version" >&5
+$as_echo_n "checking $guile_config version... " >&6; }
+       { $as_echo "$as_me:$LINENO: result: $ver" >&5
+$as_echo "$ver" >&6; }
+       GUILE_CONFIG=$found
+    else
+
+    eval "REQUIRED"=\"`eval echo \"'$'REQUIRED\" \""$guile_config (guile-devel, guile-dev or libguile-dev package)"\"`\"
+
+    fi
+
+
+
+    guile_version="$ver"
+    #dnl
+    GUILE_MAJOR_VERSION=`expr $guile_version : '\([0-9]*\)'`
+    GUILE_MINOR_VERSION=`expr $guile_version : '[0-9]*\.\([0-9]*\)'`
+    GUILE_PATCH_LEVEL=`expr $guile_version : '[0-9]*\.[0-9]*\.\([0-9]*\)'`
+    #dnl
+
+    exe=`
+    ## which doesn't work in ash, if /usr/bin/which isn't installed
+    ## type -p doesn't work in ash
+    ## command -v doesn't work in zsh
+    ## command -v "$guile_config" 2>&1
+    ## this test should work in ash, bash, pdksh (ksh), zsh
+    type -p $guile_config 2>/dev/null | tail -n 1 | awk '{print $NF}'
+`
+    if test -x $exe; then
+       { $as_echo "$as_me:$LINENO: checking guile compile flags" >&5
+$as_echo_n "checking guile compile flags... " >&6; }
+       GUILE_CFLAGS="`$guile_config compile`"
+       { $as_echo "$as_me:$LINENO: result: $GUILE_CFLAGS" >&5
+$as_echo "$GUILE_CFLAGS" >&6; }
+       { $as_echo "$as_me:$LINENO: checking guile link flags" >&5
+$as_echo_n "checking guile link flags... " >&6; }
+       GUILE_LDFLAGS="`$guile_config link`"
+       { $as_echo "$as_me:$LINENO: result: $GUILE_LDFLAGS" >&5
+$as_echo "$GUILE_LDFLAGS" >&6; }
+    fi
+
+
+
+    save_CPPFLAGS="$CPPFLAGS"
+    save_LIBS="$LIBS"
+    CPPFLAGS="$GUILE_CFLAGS $CPPFLAGS"
+    LIBS="$GUILE_LDFLAGS $LIBS"
+
+for ac_header in libguile.h
+do
+as_ac_Header=`$as_echo "ac_cv_header_$ac_header" | $as_tr_sh`
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  { $as_echo "$as_me:$LINENO: checking for $ac_header" >&5
+$as_echo_n "checking for $ac_header... " >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
   $as_echo_n "(cached) " >&6
+fi
+ac_res=`eval 'as_val=${'$as_ac_Header'}
+                $as_echo "$as_val"'`
+              { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
+$as_echo "$ac_res" >&6; }
 else
-  ac_cv_type_scm_t_hash_fold_fn=no
+  # Is the header compilable?
+{ $as_echo "$as_me:$LINENO: checking $ac_header usability" >&5
+$as_echo_n "checking $ac_header usability... " >&6; }
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#include <libguile.h>
-
-int
-main ()
-{
-if (sizeof (scm_t_hash_fold_fn))
-       return 0;
-  ;
-  return 0;
-}
+$ac_includes_default
+#include <$ac_header>
 _ACEOF
 rm -f conftest.$ac_objext
 if { (ac_try="$ac_compile"
@@ -8809,61 +8988,408 @@ $as_echo "$ac_try_echo") >&5
         test -z "$ac_cxx_werror_flag" ||
         test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
-  cat >conftest.$ac_ext <<_ACEOF
+  ac_header_compiler=yes
+else
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       ac_header_compiler=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ $as_echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+$as_echo "$ac_header_compiler" >&6; }
+
+# Is the header present?
+{ $as_echo "$as_me:$LINENO: checking $ac_header presence" >&5
+$as_echo_n "checking $ac_header presence... " >&6; }
+cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#include <libguile.h>
-
-int
-main ()
-{
-if (sizeof ((scm_t_hash_fold_fn)))
-         return 0;
-  ;
-  return 0;
-}
+#include <$ac_header>
 _ACEOF
-rm -f conftest.$ac_objext
-if { (ac_try="$ac_compile"
+if { (ac_try="$ac_cpp conftest.$ac_ext"
 case "(($ac_try" in
   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
   *) ac_try_echo=$ac_try;;
 esac
 eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
 $as_echo "$ac_try_echo") >&5
-  (eval "$ac_compile") 2>conftest.er1
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-        test -z "$ac_cxx_werror_flag" ||
+  (exit $ac_status); } >/dev/null && {
+        test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
         test ! -s conftest.err
-       } && test -s conftest.$ac_objext; then
-  :
+       }; then
+  ac_header_preproc=yes
 else
   $as_echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-       ac_cv_type_scm_t_hash_fold_fn=yes
+  ac_header_preproc=no
 fi
 
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-else
-  $as_echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-
-fi
+rm -f conftest.err conftest.$ac_ext
+{ $as_echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+$as_echo "$ac_header_preproc" >&6; }
 
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-fi
-{ $as_echo "$as_me:$LINENO: result: $ac_cv_type_scm_t_hash_fold_fn" >&5
-$as_echo "$ac_cv_type_scm_t_hash_fold_fn" >&6; }
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
+  yes:no: )
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
+$as_echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
+$as_echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
+    ;;
+  no:yes:* )
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
+$as_echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
+$as_echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
+$as_echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
+$as_echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+$as_echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
+$as_echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
+
+    ;;
+esac
+{ $as_echo "$as_me:$LINENO: checking for $ac_header" >&5
+$as_echo_n "checking for $ac_header... " >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  $as_echo_n "(cached) " >&6
+else
+  eval "$as_ac_Header=\$ac_header_preproc"
+fi
+ac_res=`eval 'as_val=${'$as_ac_Header'}
+                $as_echo "$as_val"'`
+              { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
+$as_echo "$ac_res" >&6; }
+
+fi
+as_val=`eval 'as_val=${'$as_ac_Header'}
+                $as_echo "$as_val"'`
+   if test "x$as_val" = x""yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `$as_echo "HAVE_$ac_header" | $as_tr_cpp` 1
+_ACEOF
+
+fi
+
+done
+
+
+{ $as_echo "$as_me:$LINENO: checking for scm_boot_guile in -lguile" >&5
+$as_echo_n "checking for scm_boot_guile in -lguile... " >&6; }
+if test "${ac_cv_lib_guile_scm_boot_guile+set}" = set; then
+  $as_echo_n "(cached) " >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lguile  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char scm_boot_guile ();
+int
+main ()
+{
+return scm_boot_guile ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_cxx_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest$ac_exeext && {
+        test "$cross_compiling" = yes ||
+        $as_test_x conftest$ac_exeext
+       }; then
+  ac_cv_lib_guile_scm_boot_guile=yes
+else
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       ac_cv_lib_guile_scm_boot_guile=no
+fi
+
+rm -rf conftest.dSYM
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+{ $as_echo "$as_me:$LINENO: result: $ac_cv_lib_guile_scm_boot_guile" >&5
+$as_echo "$ac_cv_lib_guile_scm_boot_guile" >&6; }
+if test "x$ac_cv_lib_guile_scm_boot_guile" = x""yes; then
+  cat >>confdefs.h <<_ACEOF
+#define HAVE_LIBGUILE 1
+_ACEOF
+
+  LIBS="-lguile $LIBS"
+
+fi
+
+
+for ac_func in scm_boot_guile
+do
+as_ac_var=`$as_echo "ac_cv_func_$ac_func" | $as_tr_sh`
+{ $as_echo "$as_me:$LINENO: checking for $ac_func" >&5
+$as_echo_n "checking for $ac_func... " >&6; }
+if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
+  $as_echo_n "(cached) " >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
+   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
+#define $ac_func innocuous_$ac_func
+
+/* System header to define __stub macros and hopefully few prototypes,
+    which can conflict with char $ac_func (); below.
+    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
+    <limits.h> exists even on freestanding compilers.  */
+
+#ifdef __STDC__
+# include <limits.h>
+#else
+# include <assert.h>
+#endif
+
+#undef $ac_func
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char $ac_func ();
+/* The GNU C library defines this for functions which it implements
+    to always fail with ENOSYS.  Some functions are actually named
+    something starting with __ and the normal name is an alias.  */
+#if defined __stub_$ac_func || defined __stub___$ac_func
+choke me
+#endif
+
+int
+main ()
+{
+return $ac_func ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_cxx_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest$ac_exeext && {
+        test "$cross_compiling" = yes ||
+        $as_test_x conftest$ac_exeext
+       }; then
+  eval "$as_ac_var=yes"
+else
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       eval "$as_ac_var=no"
+fi
+
+rm -rf conftest.dSYM
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+fi
+ac_res=`eval 'as_val=${'$as_ac_var'}
+                $as_echo "$as_val"'`
+              { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
+$as_echo "$ac_res" >&6; }
+as_val=`eval 'as_val=${'$as_ac_var'}
+                $as_echo "$as_val"'`
+   if test "x$as_val" = x""yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `$as_echo "HAVE_$ac_func" | $as_tr_cpp` 1
+_ACEOF
+
+else
+  libguile_b=no
+fi
+done
+
+    if test "$libguile_b" = "no"; then
+           warn='libguile (libguile-dev, guile-devel or guile-dev
+   package).'
+
+    eval "REQUIRED"=\"`eval echo \"'$'REQUIRED\" \"$warn\"`\"
+
+    fi
+    CPPFLAGS="$save_CPPFLAGS"
+    LIBS="$save_LIBS"
+    cat >>confdefs.h <<_ACEOF
+#define GUILE_MAJOR_VERSION $GUILE_MAJOR_VERSION
+_ACEOF
+
+    cat >>confdefs.h <<_ACEOF
+#define GUILE_MINOR_VERSION $GUILE_MINOR_VERSION
+_ACEOF
+
+    cat >>confdefs.h <<_ACEOF
+#define GUILE_PATCH_LEVEL $GUILE_PATCH_LEVEL
+_ACEOF
+
+
+fi
+
+# check for 3 typedefs added in Guile 1.9
+save_CXXFLAGS="$CXXFLAGS"
+CXXFLAGS="$GUILE_CFLAGS $CXXFLAGS"
+{ $as_echo "$as_me:$LINENO: checking for scm_t_hash_fold_fn" >&5
+$as_echo_n "checking for scm_t_hash_fold_fn... " >&6; }
+if test "${ac_cv_type_scm_t_hash_fold_fn+set}" = set; then
+  $as_echo_n "(cached) " >&6
+else
+  ac_cv_type_scm_t_hash_fold_fn=no
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <libguile.h>
+
+int
+main ()
+{
+if (sizeof (scm_t_hash_fold_fn))
+       return 0;
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_cxx_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <libguile.h>
+
+int
+main ()
+{
+if (sizeof ((scm_t_hash_fold_fn)))
+         return 0;
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_cxx_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  :
+else
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       ac_cv_type_scm_t_hash_fold_fn=yes
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+else
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+fi
+{ $as_echo "$as_me:$LINENO: result: $ac_cv_type_scm_t_hash_fold_fn" >&5
+$as_echo "$ac_cv_type_scm_t_hash_fold_fn" >&6; }
 if test "x$ac_cv_type_scm_t_hash_fold_fn" = x""yes; then
 
 cat >>confdefs.h <<_ACEOF
@@ -9329,7 +9855,8 @@ $as_echo_n "checking for python... " >&6; }
 
     if test -z "$_ver"; then
         ## If empty, try date [fontforge]
-        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 | grep '[0-9]\{6,8\}' \
+        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 \
+           | grep '\(^\|[^0-9a-f]\)[0-9]\{6,8\}\([^0-9a-f]\|$\)' \
            | head -n 1 \
            | sed -e 's/^[^.0-9]*//' -e 's/[^.0-9]*$//'\`\"
     fi
@@ -9653,6 +10180,8 @@ done
 
 
 
+
+
     for ac_prog in fontforge
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
@@ -9810,7 +10339,8 @@ $as_echo_n "checking $r version... " >&6; }
 
     if test -z "$_ver"; then
         ## If empty, try date [fontforge]
-        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 | grep '[0-9]\{6,8\}' \
+        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 \
+           | grep '\(^\|[^0-9a-f]\)[0-9]\{6,8\}\([^0-9a-f]\|$\)' \
            | head -n 1 \
            | sed -e 's/^[^.0-9]*//' -e 's/[^.0-9]*$//'\`\"
     fi
@@ -10007,7 +10537,8 @@ $as_echo_n "checking $r version... " >&6; }
 
     if test -z "$_ver"; then
         ## If empty, try date [fontforge]
-        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 | grep '[0-9]\{6,8\}' \
+        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 \
+           | grep '\(^\|[^0-9a-f]\)[0-9]\{6,8\}\([^0-9a-f]\|$\)' \
            | head -n 1 \
            | sed -e 's/^[^.0-9]*//' -e 's/[^.0-9]*$//'\`\"
     fi
@@ -10921,7 +11452,8 @@ $as_echo_n "checking $r version... " >&6; }
 
     if test -z "$_ver"; then
         ## If empty, try date [fontforge]
-        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 | grep '[0-9]\{6,8\}' \
+        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 \
+           | grep '\(^\|[^0-9a-f]\)[0-9]\{6,8\}\([^0-9a-f]\|$\)' \
            | head -n 1 \
            | sed -e 's/^[^.0-9]*//' -e 's/[^.0-9]*$//'\`\"
     fi
@@ -11823,7 +12355,8 @@ $as_echo_n "checking $r version... " >&6; }
 
     if test -z "$_ver"; then
         ## If empty, try date [fontforge]
-        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 | grep '[0-9]\{6,8\}' \
+        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 \
+           | grep '\(^\|[^0-9a-f]\)[0-9]\{6,8\}\([^0-9a-f]\|$\)' \
            | head -n 1 \
            | sed -e 's/^[^.0-9]*//' -e 's/[^.0-9]*$//'\`\"
     fi
@@ -11907,7 +12440,8 @@ $as_echo_n "checking for guile... " >&6; }
 
     if test -z "$_ver"; then
         ## If empty, try date [fontforge]
-        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 | grep '[0-9]\{6,8\}' \
+        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 \
+           | grep '\(^\|[^0-9a-f]\)[0-9]\{6,8\}\([^0-9a-f]\|$\)' \
            | head -n 1 \
            | sed -e 's/^[^.0-9]*//' -e 's/[^.0-9]*$//'\`\"
     fi
@@ -12123,7 +12657,8 @@ $as_echo_n "checking $r version... " >&6; }
 
     if test -z "$_ver"; then
         ## If empty, try date [fontforge]
-        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 | grep '[0-9]\{6,8\}' \
+        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 \
+           | grep '\(^\|[^0-9a-f]\)[0-9]\{6,8\}\([^0-9a-f]\|$\)' \
            | head -n 1 \
            | sed -e 's/^[^.0-9]*//' -e 's/[^.0-9]*$//'\`\"
     fi
@@ -12323,7 +12858,8 @@ $as_echo_n "checking $r version... " >&6; }
 
     if test -z "$_ver"; then
         ## If empty, try date [fontforge]
-        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 | grep '[0-9]\{6,8\}' \
+        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 \
+           | grep '\(^\|[^0-9a-f]\)[0-9]\{6,8\}\([^0-9a-f]\|$\)' \
            | head -n 1 \
            | sed -e 's/^[^.0-9]*//' -e 's/[^.0-9]*$//'\`\"
     fi
@@ -12528,7 +13064,8 @@ $as_echo_n "checking $r version... " >&6; }
 
     if test -z "$_ver"; then
         ## If empty, try date [fontforge]
-        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 | grep '[0-9]\{6,8\}' \
+        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 \
+           | grep '\(^\|[^0-9a-f]\)[0-9]\{6,8\}\([^0-9a-f]\|$\)' \
            | head -n 1 \
            | sed -e 's/^[^.0-9]*//' -e 's/[^.0-9]*$//'\`\"
     fi
@@ -12679,7 +13216,8 @@ $as_echo_n "checking $r version... " >&6; }
 
     if test -z "$_ver"; then
         ## If empty, try date [fontforge]
-        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 | grep '[0-9]\{6,8\}' \
+        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 \
+           | grep '\(^\|[^0-9a-f]\)[0-9]\{6,8\}\([^0-9a-f]\|$\)' \
            | head -n 1 \
            | sed -e 's/^[^.0-9]*//' -e 's/[^.0-9]*$//'\`\"
     fi
@@ -12828,7 +13366,8 @@ $as_echo_n "checking $r version... " >&6; }
 
     if test -z "$_ver"; then
         ## If empty, try date [fontforge]
-        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 | grep '[0-9]\{6,8\}' \
+        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 \
+           | grep '\(^\|[^0-9a-f]\)[0-9]\{6,8\}\([^0-9a-f]\|$\)' \
            | head -n 1 \
            | sed -e 's/^[^.0-9]*//' -e 's/[^.0-9]*$//'\`\"
     fi
@@ -12977,7 +13516,8 @@ $as_echo_n "checking $r version... " >&6; }
 
     if test -z "$_ver"; then
         ## If empty, try date [fontforge]
-        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 | grep '[0-9]\{6,8\}' \
+        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 \
+           | grep '\(^\|[^0-9a-f]\)[0-9]\{6,8\}\([^0-9a-f]\|$\)' \
            | head -n 1 \
            | sed -e 's/^[^.0-9]*//' -e 's/[^.0-9]*$//'\`\"
     fi
@@ -13126,7 +13666,8 @@ $as_echo_n "checking $r version... " >&6; }
 
     if test -z "$_ver"; then
         ## If empty, try date [fontforge]
-        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 | grep '[0-9]\{6,8\}' \
+        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 \
+           | grep '\(^\|[^0-9a-f]\)[0-9]\{6,8\}\([^0-9a-f]\|$\)' \
            | head -n 1 \
            | sed -e 's/^[^.0-9]*//' -e 's/[^.0-9]*$//'\`\"
     fi
@@ -13164,7 +13705,7 @@ $as_echo "$ver" >&6; }
     fi
 
 
-    for ac_prog in pdflatex
+    for ac_prog in xelatex pdflatex
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
@@ -13219,13 +13760,13 @@ test -n "$PDFLATEX" || PDFLATEX="no"
 
     if test $? -ne 0; then
 
-    eval "$DOCUMENTATION_REQUIRED"=\"`eval echo \"'$'$DOCUMENTATION_REQUIRED\" \"pdflatex\"`\"
+    eval "$DOCUMENTATION_REQUIRED"=\"`eval echo \"'$'$DOCUMENTATION_REQUIRED\" \"xelatex pdflatex\"`\"
 
        if test "$DOCUMENTATION_REQUIRED" = "REQUIRED"; then
-           command="echo ERROR: pdflatex not found"
+           command="echo ERROR: xelatex pdflatex not found"
            # abort configure process here?
        else
-           command="- echo pdflatex not found"
+           command="- echo xelatex pdflatex not found"
        fi
        eval "PDFLATEX"='$command'
        false
@@ -13275,7 +13816,8 @@ $as_echo_n "checking $r version... " >&6; }
 
     if test -z "$_ver"; then
         ## If empty, try date [fontforge]
-        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 | grep '[0-9]\{6,8\}' \
+        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 \
+           | grep '\(^\|[^0-9a-f]\)[0-9]\{6,8\}\([^0-9a-f]\|$\)' \
            | head -n 1 \
            | sed -e 's/^[^.0-9]*//' -e 's/[^.0-9]*$//'\`\"
     fi
@@ -13312,6 +13854,162 @@ $as_echo "$ver" >&6; }
 
     fi
 
+if test "$PDFLATEX" = "xelatex"; then
+
+    for ac_prog in xetex
+do
+  # Extract the first word of "$ac_prog", so it can be a program name with args.
+set dummy $ac_prog; ac_word=$2
+{ $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
+$as_echo_n "checking for $ac_word... " >&6; }
+if test "${ac_cv_prog_PDFTEX+set}" = set; then
+  $as_echo_n "(cached) " >&6
+else
+  if test -n "$PDFTEX"; then
+  ac_cv_prog_PDFTEX="$PDFTEX" # Let the user override the test.
+else
+as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+    ac_cv_prog_PDFTEX="$ac_prog"
+    $as_echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+IFS=$as_save_IFS
+
+fi
+fi
+PDFTEX=$ac_cv_prog_PDFTEX
+if test -n "$PDFTEX"; then
+  { $as_echo "$as_me:$LINENO: result: $PDFTEX" >&5
+$as_echo "$PDFTEX" >&6; }
+else
+  { $as_echo "$as_me:$LINENO: result: no" >&5
+$as_echo "no" >&6; }
+fi
+
+
+  test -n "$PDFTEX" && break
+done
+test -n "$PDFTEX" || PDFTEX="no"
+
+
+
+    r="`eval echo '$'"PDFTEX"`"
+    if test -n "$r" -a "$r" != "error" -a "$r" != "no" && expr '`eval echo '$'"PDFTEX"`' : '.*\(echo\)' > /dev/null; then
+       true
+    else
+       ##STEPMAKE_WARN(cannot find . )
+       false
+    fi
+
+    if test $? -ne 0; then
+
+    eval "$DOCUMENTATION_REQUIRED"=\"`eval echo \"'$'$DOCUMENTATION_REQUIRED\" \"xetex\"`\"
+
+       if test "$DOCUMENTATION_REQUIRED" = "REQUIRED"; then
+           command="echo ERROR: xetex not found"
+           # abort configure process here?
+       else
+           command="- echo xetex not found"
+       fi
+       eval "PDFTEX"='$command'
+       false
+    else
+       true
+    fi
+
+    if test $? -eq 0 -a -n ""; then
+
+    r="`eval echo '$'"PDFTEX"`"
+    { $as_echo "$as_me:$LINENO: checking $r version" >&5
+$as_echo_n "checking $r version... " >&6; }
+    exe=`
+    ## which doesn't work in ash, if /usr/bin/which isn't installed
+    ## type -p doesn't work in ash
+    ## command -v doesn't work in zsh
+    ## command -v "$r" 2>&1
+    ## this test should work in ash, bash, pdksh (ksh), zsh
+    type -p $r 2>/dev/null | tail -n 1 | awk '{print $NF}'
+`
+    if test -n ""; then
+        ver=""
+    else
+        ver=`
+    ## "$exe" --version 2>&1 | grep -v '^$' | head -n 1 | awk '{print $NF}'
+    ##
+    ## ARG.
+    ## Workaround for broken Debian gcc version string:
+    ##     gcc (GCC) 3.1.1 20020606 (Debian prerelease)
+    ##
+    ## -V: Workaround for python
+
+    #dnl
+
+    ## Assume and hunt for dotted version multiplet.
+    ## use eval trickery, because we cannot use multi-level $() instead of ``
+    ## for compatibility reasons.
+
+    ## grab the first version number in  --version output.
+    eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 |
+               grep -E '(^| )[0-9][0-9]*\.[0-9]' |
+               head -n 1 |
+               tr ' ' '\n' |
+               sed 's/\([0-9][0-9]*\.[0-9][0-9.]*\).*/\1/g' |
+               grep -E '(^| )[0-9][0-9]*\.[0-9]' |
+               head -n 1\`\"
+
+    if test -z "$_ver"; then
+        ## If empty, try date [fontforge]
+        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 \
+           | grep '\(^\|[^0-9a-f]\)[0-9]\{6,8\}\([^0-9a-f]\|$\)' \
+           | head -n 1 \
+           | sed -e 's/^[^.0-9]*//' -e 's/[^.0-9]*$//'\`\"
+    fi
+    echo "$_ver"
+    #dnl
+`
+    fi
+    num=`
+    echo "$ver" | awk -F. '
+    {
+      if ($3) {three = $3}
+      else {three = 0}
+    }
+    {printf "%.0f\n", $1*1000000 + $2*1000 + three}'
+`
+    req=`
+    echo "" | awk -F. '
+    {
+      if ($3) {three = $3}
+      else {three = 0}
+    }
+    {printf "%.0f\n", $1*1000000 + $2*1000 + three}'
+`
+    { $as_echo "$as_me:$LINENO: result: $ver" >&5
+$as_echo "$ver" >&6; }
+    if test "$num" -lt "$req"; then
+
+    eval "$DOCUMENTATION_REQUIRED"=\"`eval echo \"'$'$DOCUMENTATION_REQUIRED\" \""$r >=  (installed: $ver)"\"`\"
+
+    fi
+    vervar="`echo PDFTEX | tr 'a-z' 'A-Z'`_VERSION"
+    eval `echo $vervar=$num`
+##    AC_SUBST(`eval echo $vervar`)
+
+    fi
+
+    if test "$PDFTEX" = "xetex"; then
+        # For avoiding PDF destination name replacement.
+        PDFTEX=$ugh_ugh_autoconf250_builddir/scripts/build/out$CONFIGSUFFIX/xetex-with-options
+    fi
+else
 
     for ac_prog in pdfetex pdftex etex
 do
@@ -13424,7 +14122,8 @@ $as_echo_n "checking $r version... " >&6; }
 
     if test -z "$_ver"; then
         ## If empty, try date [fontforge]
-        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 | grep '[0-9]\{6,8\}' \
+        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 \
+           | grep '\(^\|[^0-9a-f]\)[0-9]\{6,8\}\([^0-9a-f]\|$\)' \
            | head -n 1 \
            | sed -e 's/^[^.0-9]*//' -e 's/[^.0-9]*$//'\`\"
     fi
@@ -13461,6 +14160,7 @@ $as_echo "$ver" >&6; }
 
     fi
 
+fi
 
     for ac_prog in texi2pdf
 do
@@ -13573,7 +14273,8 @@ $as_echo_n "checking $r version... " >&6; }
 
     if test -z "$_ver"; then
         ## If empty, try date [fontforge]
-        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 | grep '[0-9]\{6,8\}' \
+        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 \
+           | grep '\(^\|[^0-9a-f]\)[0-9]\{6,8\}\([^0-9a-f]\|$\)' \
            | head -n 1 \
            | sed -e 's/^[^.0-9]*//' -e 's/[^.0-9]*$//'\`\"
     fi
@@ -13722,7 +14423,8 @@ $as_echo_n "checking $r version... " >&6; }
 
     if test -z "$_ver"; then
         ## If empty, try date [fontforge]
-        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 | grep '[0-9]\{6,8\}' \
+        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 \
+           | grep '\(^\|[^0-9a-f]\)[0-9]\{6,8\}\([^0-9a-f]\|$\)' \
            | head -n 1 \
            | sed -e 's/^[^.0-9]*//' -e 's/[^.0-9]*$//'\`\"
     fi
@@ -13897,7 +14599,8 @@ $as_echo_n "checking $r version... " >&6; }
 
     if test -z "$_ver"; then
         ## If empty, try date [fontforge]
-        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 | grep '[0-9]\{6,8\}' \
+        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 \
+           | grep '\(^\|[^0-9a-f]\)[0-9]\{6,8\}\([^0-9a-f]\|$\)' \
            | head -n 1 \
            | sed -e 's/^[^.0-9]*//' -e 's/[^.0-9]*$//'\`\"
     fi
@@ -14046,7 +14749,8 @@ $as_echo_n "checking $r version... " >&6; }
 
     if test -z "$_ver"; then
         ## If empty, try date [fontforge]
-        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 | grep '[0-9]\{6,8\}' \
+        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 \
+           | grep '\(^\|[^0-9a-f]\)[0-9]\{6,8\}\([^0-9a-f]\|$\)' \
            | head -n 1 \
            | sed -e 's/^[^.0-9]*//' -e 's/[^.0-9]*$//'\`\"
     fi
@@ -14196,7 +14900,8 @@ $as_echo_n "checking $r version... " >&6; }
 
     if test -z "$_ver"; then
         ## If empty, try date [fontforge]
-        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 | grep '[0-9]\{6,8\}' \
+        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 \
+           | grep '\(^\|[^0-9a-f]\)[0-9]\{6,8\}\([^0-9a-f]\|$\)' \
            | head -n 1 \
            | sed -e 's/^[^.0-9]*//' -e 's/[^.0-9]*$//'\`\"
     fi
@@ -14345,7 +15050,8 @@ $as_echo_n "checking $r version... " >&6; }
 
     if test -z "$_ver"; then
         ## If empty, try date [fontforge]
-        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 | grep '[0-9]\{6,8\}' \
+        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 \
+           | grep '\(^\|[^0-9a-f]\)[0-9]\{6,8\}\([^0-9a-f]\|$\)' \
            | head -n 1 \
            | sed -e 's/^[^.0-9]*//' -e 's/[^.0-9]*$//'\`\"
     fi